using AweCoreDemo.Data;
using Microsoft.AspNetCore.Mvc;
using Omu.AwesomeMvc;


namespace AweCoreDemo.Controllers.Awesome.AjaxDropdown
{
    public class ApiMealAjaxDropdownController : Controller
    {
        public IActionResult GetItems(int? v, string text = "ma")
        {
            var items = Db.Meals.Where(o => o.Name.Contains(text)).ToArray();

            return Json(items.Select(o => new KeyContent(o.Id, o.Name)));
        }
    }
}