using AweCoreDemo.Data;
using Microsoft.AspNetCore.Mvc;
using Omu.AwesomeMvc;

namespace AweCoreDemo.Controllers.Awesome.AjaxList
{
    public class MealsCustomItemAjaxListController : Controller
    {
        public IActionResult Search(int page)
        {
            var query = Db.Meals.AsQueryable();

            var res = AweUtil.BuildList(query, page, 5,
                setContentFunc: items => this.RenderPartialView("CustomItem", items));

            return Json(res);
        }
    }
}