using AweCoreDemo.Data;
using AweCoreDemo.Models;
using Microsoft.AspNetCore.Mvc;

namespace AweCoreDemo.Controllers.Demos.Grid
{
    public class MailboxDemoController : Controller
    {
        public IActionResult Index()
        {
            return View();
        }

        [HttpPost]
        public IActionResult Delete(IEnumerable<int> ids)
        {
            foreach (var id in ids)
            {
                var message = Db.Find<Message>(id);
                Db.Remove(message);
            }


            return Json(new { });
        }

        public IActionResult ReadMessage(int id)
        {
            var msg = Db.Find<Message>(id);
            msg.IsRead = true;



            return PartialView(msg);
        }

        [HttpPost]
        public IActionResult MarkRead(int[] ids)
        {
            foreach (var id in ids)
            {
                var msg = Db.Find<Message>(id);
                msg.IsRead = true;
            }



            return Json(new { });
        }

        [HttpPost]
        public IActionResult MarkUnread(int[] ids)
        {
            foreach (var id in ids)
            {
                var msg = Db.Find<Message>(id);
                msg.IsRead = false;
            }



            return Json(new { });
        }
    }
}