using AweCoreDemo.Data;
using Microsoft.AspNetCore.Mvc;

namespace AweCoreDemo.Controllers.Demos.Helpers
{
    public class PagerDemoController : Controller
    {
        public IActionResult Index(int page = 1)
        {
            const int PageSize = 1;
            var pageCount = (Db.Meals.Count() + PageSize - 1) / PageSize;

            ViewData["page"] = page;
            ViewData["count"] = pageCount;

            return View(Db.Meals.Skip((page - 1) * PageSize).Take(PageSize));
        }
    }
}