using AweCoreDemo.Data;
using Microsoft.AspNetCore.Mvc;
using System.Diagnostics;
using System.Linq.Dynamic.Core;

namespace AweCoreDemo.Controllers
{
    public class HomeController : Controller
    {
        public IActionResult Index()
        {
            var categories = Db.Categories.ToList();
            var meals = Db.Meals.OrderBy(o => o.Id).Take(10).ToList();
            var childMeals = Db.Meals.Where(o => o.Category.Id == categories[2].Id).ToList();

            ViewData["category1Id"] = categories[2].Id;
            ViewData["childMeals1"] = childMeals.Skip(1).Take(2).Select(o => o.Id);
            ViewData["meal1Id"] = meals[3].Id;
            ViewData["meal2Id"] = meals[9].Id;
            ViewData["multiMealIds"] = new[] { meals[2].Id, meals[3].Id, meals[5].Id };

            return View();
        }

        public IActionResult About()
        {
            return View();
        }


        public IActionResult Test()
        {
            return View();
        }

        public IActionResult Ptest()
        {
            return View();
        }

        public IActionResult Social()
        {
            return PartialView();
        }
    }
}