using Omu.AwesomeMvc;
using System.ComponentModel;
using System.ComponentModel.DataAnnotations;

namespace AweCoreDemo.ViewModels.Input
{
    public class ParentMealInput
    {
        public int? Id { get; set; }

        [Required]
        [UIHint("DropdownList")]
        [AweUrl(Action = "GetCategories", Controller = "Data")]
        [DisplayName("Category")]
        public int[] Categories { get; set; }

        [Required]
        [UIHint("DropdownList")]
        [AweUrl(Action = "GetAllMeals", Controller = "Data")]
        [DisplayName("Meal")]
        public int? MealId { get; set; }

        [Required]
        public IEnumerable<int> Meals1Ids { get; set; }
    }
}