﻿using System.ComponentModel.DataAnnotations;

namespace AweMySql.ViewModels.Input
{
    public class ChefInput
    {
        // int would make it a required field
        public int? Id { get; set; }

        [Required]
        [MaxLength(15, ErrorMessage = "max length is 15")]
        public string FirstName { get; set; }

        [Required]
        [MaxLength(15, ErrorMessage = "max length is 15")]
        public string LastName { get; set; }
      
        public int CountryId { get; set; }        
    }
}