﻿using Omu.AwesomeWebForms;

namespace AweWFUtil
{
    public static class AweExtensions
    {
        public static string Label(this DatePicker<object> helper, string text = null)
        {
            var ltext = text ?? helper.Awe.Control.ID;
            var forstr = helper.Awe.Control.ClientID;
            return Label(forstr, ltext);
        }

        public static string Label(this Autocomplete<object> helper, string text = null)
        {
            var ltext = text ?? helper.Awe.Control.ID;
            var forstr = helper.Awe.Control.ClientID;
            return Label(forstr, ltext);
        }

        public static string Label(this AwesomeHelperBase helper, string text = null)
        {
            var ltext = text ?? helper.Awe.Control.ID;
            var forstr = helper.Awe.Control.ClientID + "-awed";
            return Label(forstr, ltext);
        }

        private static string Label(string forstr, string text)
        {
            return "<div class=\"elabel\">" +
                   "<label for=\"" + forstr + "\">" + text + "</label>" +
                   "</div>";
        }
    }
}