﻿<%@ Page Title="Home Page" Language="VB" MasterPageFile="~/Site.Master" AutoEventWireup="true" CodeBehind="Crud.aspx.vb" Inherits="AweWFVB.Crud" %>
<asp:Content ID="BodyContent" ContentPlaceHolderID="MainContent" runat="server">
    <h2>Grid crud Demo</h2>
    <% Dim Grid = DinnersGrid.ClientID %>
    <%=Page.InitCrudPopupsForGrid(Grid, "DinnersGridCrud") %>

    <div class="bar">
        <button type="button" onclick="awe.open('create<%=Grid %>')" class="awe-btn">Create</button>
    </div>

    <% DinnersGrid.Grid().Url(Page.Url().Action("GridGetItems", "DinnersGridCrud")) _
                .Resizable().Reorderable().Height(350) _
                .Columns(
                New Column With {.Name = "Id", .Width = 55},
                New Column With {.Name = "Name"}.Mod(Function(o) {o.Nohide()}),
                New Column With {.Name = "Date"},
                New Column With {.Name = "Chef.FirstName,Chef.LastName", .Prop = "ChefName", .Header = "Chef"},
                New Column With {.Prop = "Meals", .Header = "Meals"},
                Page.EditColumnForGrid(Grid),
                Page.DeleteColumnForGrid(Grid)) %>
    <awe:Ocon runat="server" ID="DinnersGrid" />
    <br />
    <div style="width: 100%; overflow: auto;">
        Grid crud, built using the Grid and PopupForm
        <br />
        There's 3 PopupForms for create, edit and delete, they are initialized via InitCrudPopupsForGrid , 
    each PopupForm has Success js function assigned, these functions are located in Utils.js. 
    Create post action returns the grid model for the new Item so the js func will render and append it.<br />
        Edit post action returns the item's Id and the js func is using grid.api.update to update the row, 
    this is where the controller line:
        <pre>GetItem = () => Db.Get&lt;Dinner>(Convert.ToInt32(g.Key))</pre>
        is used.
    <br />
        Delete PopupForm has OnLoad js func used to animate the row that is about to be deleted, and the post action will delete the item and return the item's Id, 
    the js func will use grid.api.select to select and remove the row, if there's no rows left grid.api.load will be called.
    <br />
        <br />
        Make sure to use "return PartialView" for PopupForm/Popup views this will ignore _viewstart.cshtml so that you don't use the _Layout.cshtml and realod all the scripts, and as a result break the app.
    </div>
</asp:Content>
