﻿Imports System.ComponentModel
Imports System.ComponentModel.DataAnnotations
Imports Omu.AwesomeWebForms

Namespace ViewModels.Input

    Public Class DinnerInput

        Public Property Id As Integer

        <Required()>
        Public Property Name As String

        <Required()>
        Public Property [Date] As DateTime?

        <Required(),
         UIHint("MealsMultiLookup")>
        Public Property Meals As IEnumerable(Of Integer)

        <UIHint("Lookup"),
         Required()>
        Public Property Chef As Integer?

        <Required(),
         UIHint("Odropdown"),
         AweUrl(Action:="GetAllMeals", Controller:="Data"),
         DisplayName("Bonus meal")>
        Public Property BonusMealId As Integer?

    End Class
End Namespace