namespace Omu.Awem.Scheduler
{
    /// <summary>
    /// Scheduler view types
    /// </summary>
    public enum SchedulerView
    {
        /// <summary>
        /// day view
        /// </summary>
        Day = 0,

        /// <summary>
        /// week view
        /// </summary>
        Week = 1,

        /// <summary>
        /// work week view
        /// </summary>
        WorkWeek = 2,

        /// <summary>
        /// month view
        /// </summary>
        Month = 3,

        /// <summary>
        /// agenda view
        /// </summary>
        Agenda = 4,
    }
}