using System;
using System.Linq;
using AwesomeMvcDemo.Data;
using System.Web.Mvc;

using Omu.AwesomeMvc;


namespace AwesomeMvcDemo.Controllers.Awesome.AjaxDropdown
{
    public class ApiMealAjaxDropdownController : Controller
    {
        public ActionResult GetItems(int? v, string text = "ma")
        {
            var items = Db.Meals.Where(o => o.Name.Contains(text)).ToArray();

            return Json(items.Select(o => new KeyContent(o.Id, o.Name)));
        }
    }
}