using System;
using System.Linq;
using AwesomeMvcDemo.Data;
using System.Web.Mvc;

using Omu.AwesomeMvc;


namespace AwesomeMvcDemo.Controllers.Awesome.AjaxDropdown
{
    public class MealBoundToManyController : Controller
    {
        public ActionResult GetItems(int[] parent, string mealName = "")
        {
            parent = parent ?? new int[] { };

            var meals = Db.Meals
                .Where(o => (parent.Contains(o.Category.Id)) && o.Name.Contains(mealName))
                .ToArray();

            return Json(meals.Select(o => new KeyContent(o.Id, o.Name)));
        }
    }
}