using System;
using System.Linq;
using AwesomeMvcDemo.Data;
using System.Web.Mvc;

using Omu.AwesomeMvc;

namespace AwesomeMvcDemo.Controllers.Awesome.AjaxList
{
    public class MealsCustomItemAjaxListController : Controller
    {
        public ActionResult Search(int page)
        {
            var query = Db.Meals.AsQueryable();

            var res = AweUtil.BuildList(query, page, 5,
                setContentFunc: items => this.RenderPartialView("CustomItem", items));

            return Json(res);
        }
    }
}