using System;
using System.Linq;
using AwesomeMvcDemo.Data;
using System.Web.Mvc;



namespace AwesomeMvcDemo.Controllers.Demos.Grid
{
    public class GridNestingDemoController : Controller
    {
        public ActionResult Index()
        {
            return View();
        }

        /*begin1*/
        public ActionResult LunchDetail(int key)
        {
            var lunch = Db.Lunches.Where(o => o.Id == key).First();

            return PartialView(lunch);
        }
        /*end1*/

        /*begin*/
        public ActionResult MealGrid(int key)
        {
            ViewData["Id"] = key;
            return PartialView();
        }
        /*end*/
    }
}