using System;
using AwesomeMvcDemo.Data;
using AwesomeMvcDemo.Models;
using AwesomeMvcDemo.ViewModels.Input;
using System.Web.Mvc;

using Omu.Awem.Utils;

namespace AwesomeMvcDemo.Controllers.Demos.Grid.MasterDetailCrud
{
    public class RestInlController : Controller
    {
        public ActionResult Addresses(int key)
        {
            ViewData["Id"] = key;
            return PartialView();
        }

        [HttpPost]
        public ActionResult Create(RestaurantInput input)
        {
            if (!ModelState.IsValid)
            {
                return Json(ModelState.GetErrorsInline());
            }

            var ent = new Restaurant
            {
                Name = input.Name,
                IsCreated = true
            };

            Db.Add(ent);


            return Json(new { });
        }

        [HttpPost]
        public ActionResult Edit(RestaurantInput input)
        {
            if (!ModelState.IsValid)
            {
                return Json(ModelState.GetErrorsInline());
            }

            var ent = Db.Find<Restaurant>(input.Id);
            ent.Name = input.Name;



            return Json(new { });
        }
    }
}