using System.IO;
using System;
using System.Linq;
using AwesomeMvcDemo.Data;
using System.Web.Mvc;

using System.Diagnostics;
using System.Linq.Dynamic.Core;

namespace AwesomeMvcDemo.Controllers
{
    public class HomeController : Controller
    {
        public ActionResult Index()
        {
            var categories = Db.Categories.ToList();
            var meals = Db.Meals.OrderBy(o => o.Id).Take(10).ToList();
            var childMeals = Db.Meals.Where(o => o.Category.Id == categories[2].Id).ToList();

            ViewData["category1Id"] = categories[2].Id;
            ViewData["childMeals1"] = childMeals.Skip(1).Take(2).Select(o => o.Id);
            ViewData["meal1Id"] = meals[3].Id;
            ViewData["meal2Id"] = meals[9].Id;
            ViewData["multiMealIds"] = new[] { meals[2].Id, meals[3].Id, meals[5].Id };

            return View();
        }

        public ActionResult About()
        {
            return View();
        }


        public ActionResult Test()
        {
            return View();
        }

        public ActionResult Ptest()
        {
            return View();
        }

        public ActionResult Social()
        {
            return PartialView();
        }
    }
}