using System.Web.Mvc;
using AwesomeWebFormsDemo.Data;
using AwesomeWebFormsDemo.Models;

namespace AwesomeWebFormsDemo.Controllers.Demos.Grid
{
    public class GridNestingDemoController : Controller
    {
        /*begin1*/
        public ActionResult LunchDetail(int key)
        {
            var lunch = Db.Get<Lunch>(key);
            return PartialView(lunch);
        }
        /*end1*/

        /*begin*/
        public ActionResult MealGrid(int key)
        {
            ViewData["Id"] = key;
            return PartialView();
        }
        /*end*/
    }
}