﻿<%@ Page Title="Home" MasterPageFile="~/Site.Master" Language="C#" AutoEventWireup="true" CodeBehind="DatePickerDemo.aspx.cs" Inherits="AwesomeWebFormsDemo.DatePickerDemo" %>

<asp:Content ID="Content1" ContentPlaceHolderID="ContentPlaceHolder1" runat="server">

    <h1>DateTimePicker</h1>
    <div class="efield">
        <div class="elabel">
            Date and time:
        </div>
        <div class="einput">
            <%--begindtime--%>
            <% DateTime1.DateTimePicker(new DateTimePickerOpt { Value = DateTime.UtcNow }); %>
            <awe:ocon runat="server" id="DateTime1" />
            <%--enddtime--%>
        </div>

        <%=Page.Source("DatePickerDemo.aspx", "dtime") %>
    </div>
    <div class="efield">
        <div class="elabel">
            Date:
        </div>
        <div class="einput">
            <%--begind--%>
            <% Date.DatePicker(new DatePickerOpt { Value = new DateTime(2017, 11, 1) }); %>
            <awe:ocon runat="server" id="Date" />
            <%--endd--%>
        </div>

        <%=Page.Source("DatePickerDemo.aspx", "d") %>
    </div>

    <div class="efield">
        <div class="elabel">
            Date range:
        </div>
        <div class="einput">
            <%--beginrange--%>
            <% DateRange1.DatePicker(new DatePickerOpt { Placeholder = "select range", SelectRange = true }); %>
            <awe:ocon runat="server" id="DateRange1" />
            <%--endrange--%>
        </div>

        <%=Page.Source("DatePickerDemo.aspx", "range") %>
    </div>
    <h2>Inline Calendar</h2>
    <div class="efield">
        <div class="elabel">
            Date inline:
        </div>
        <div class="einput">
            <%--begininl--%>
            <% DateInline.DatePicker(new DatePickerOpt { InlineCalendar = true }); %>
            <awe:ocon runat="server" id="DateInline" />
            <%--endinl--%>
        </div>

        <%=Page.Source("DatePickerDemo.aspx", "inl") %>
    </div>

    <h2>Min, max, default date, clear button </h2>
    <div class="efield">
        <div class="elabel">
            Date:
        </div>
        <div class="einput">
            <%--begin2--%>
            <% Date3.DatePicker(
                       new DatePickerOpt
                       {
                           NumberOfMonths = 2,
                           MinDate = DateTime.Now.AddDays(1),
                           MaxDate = DateTime.Now.AddMonths(7),
                           DefaultDate = DateTime.Now.AddDays(4),
                           ClearBtn = true
                       }); %>
            <awe:ocon runat="server" id="Date3" />
            <%--end2--%>
        </div>

        <%=Page.Source("DatePickerDemo.aspx", "2") %>
    </div>

    <h2>Date range</h2>
    <div class="efield">
        <%--beginrange--%>
        <div class="elabel">
            From:
        </div>
        <div class="einput">
            <% DateFrom.DatePicker(new DatePickerOpt { NumberOfMonths = 2}); %>
            <awe:ocon runat="server" id="DateFrom" />
        </div>
        <div class="elabel">
            To:
        </div>
        <div class="einput">
            <% DateTo.DatePicker(new DatePickerOpt { NumberOfMonths = 2}); %>
            <awe:ocon runat="server" id="DateTo" />
        </div>
        <script>
            $(function () {
                var from = $('#<%=DateFrom.ClientID %>');
                var to = $('#<%=DateTo.ClientID %>');

                from.change(function () {
                    to.data('o').min = from.val();
                });

                to.change(function () {
                    from.data('o').max = to.val();
                });
            });
        </script>
        <%--endrange--%>
        <%=Page.Source("DatePickerDemo.aspx", "range", true) %>
    </div>

    <h3>Right to left </h3>

    <%--begin3--%>
    <div class="einput" style="direction: rtl;">
        <% Date4.DatePicker(); %>
        <awe:ocon runat="server" id="Date4" />
    </div>
    <%--end3--%>

    <%=Page.Source("DatePickerDemo.aspx", "3") %>

    <h3>TimePicker</h3>

    <%--begin4--%>
    <% Tmp1.TimePicker(new TimePickerOpt { }); %>
    <awe:ocon runat="server" id="Tmp1" />
    <%--end4--%>

    <%=Page.Source("DatePickerDemo.aspx", "4") %>
</asp:Content>
