﻿<%@ Page Title="Home" MasterPageFile="~/Site.Master" Language="C#" AutoEventWireup="true" CodeBehind="WizardDemo.aspx.cs" Inherits="AwesomeWebFormsDemo.WizardDemo" %>

<asp:Content ID="Content1" ContentPlaceHolderID="ContentPlaceHolder1" runat="server">
  
<h3>Wizard Demo</h3>
<%--begin--%>
<% InitPopupForm1.InitPopupForm()
                .Name("wizard1")
                .Url(Page.Url().Action("StartWizard", "WizardDemo"))
                .Success("wizardFinish")
                .UseDefaultButtons(false)
                .Modal(); %>
<awe:Ocon runat="server" ID="InitPopupForm1" />
<button type="button" onclick="awe.open('wizard1')" class="awe-btn mbtn">click here to start wizard</button>
<br />
<br />
<script type="text/javascript">
    function wizardFinish(res) {
        alert(res.Message);
    }
</script>
<%--end--%>

<div class="tabs">
    <div data-caption="description" class="expl">
        <p>
            In this demo a Wizard is built using the PopupForm helper. 
        We're not using the default Ok and Cancel buttons instead a submit button is placed on the bottom center of the form.
        <br />
            Stepping forward is done by submiting the form, the successful submit will redirect to another action which will return a view (html), 
        when the popupform receives html/string it replaces its content with that html.<br />
            Stepping back is performed by submitting a separate form to the needed step, the form uses method get.
        (The popup form will handle any form that is being submited inside of it, and make it an ajax request).<br />
        </p>
    </div>
    <div data-caption="page"><%=Page.Source("WizardDemo.aspx") %></div>
    <div data-caption="controller"><%=Page.Csource("Demos/Misc/WizardDemoController.cs") %></div>
    <div data-caption="step1 view"><%=Page.Source("WizardDemo/WizardStep1.cshtml") %></div>
    <div data-caption="step2 view"><%=Page.Source("WizardDemo/WizardStep2.cshtml") %></div>
    <div data-caption="finish view"><%=Page.Source("WizardDemo/WizardFinish.cshtml") %></div>
</div>
</asp:Content>