using System.Collections.Generic;

namespace AweuiAspCore.Models
{
    public static class MySiteMap
    {
        private static readonly IList<SiteMapItem> items = new List<SiteMapItem>();

        public static IEnumerable<SiteMapItem> GetAll()
        {
            return items;
        }

        static MySiteMap()
        {
            var home = new SiteMapItem { Name = "Home", Controller = "Home", Action = "Index", Keywords = "all" };

            items.Add(home);
            items.Add(new SiteMapItem { Name = "Datepicker", Controller = "Datepicker", Action = "Index" });
            items.Add(new SiteMapItem { Name = "Textbox", Controller = "Textbox", Action = "Index" });
            items.Add(new SiteMapItem { Name = "Grid header groups", Controller = "Grid", Action = "HeaderGroups" });
            items.Add(new SiteMapItem { Name = "Grid filtering", Controller = "Grid", Action = "Filtering" });
            items.Add(new SiteMapItem { Name = "Grid infinite scroll", Controller = "Grid", Action = "InfiniteScroll" });
        }
    }
}