using Microsoft.AspNetCore.Http;

namespace AweuiAspCore.Utils
{
    public class SiteSettings
    {
        public static string Read(HttpRequest request)
        {
            string theme = null;

            if (request.Cookies[DemoSettings.CookieName] != null)
            {
                var val = request.Cookies[DemoSettings.CookieName];
                theme = val;
            }

            if (string.IsNullOrWhiteSpace(theme))
            {
                theme = DemoSettings.DefaultTheme;
            }

            return theme;
        }
    }
}