using System;
using System.Collections.Generic;

namespace Core.Model
{
    public class Dinner : DelEntity
    {
        public string Name { get; set; }
        public int CountryId { get; set; }
        public Country Country { get; set; }
        public int ChefId { get; set; }
        public Chef Chef { get; set; }
        public string Address { get; set; }
        public DateTime Start { get; set; }
        public DateTime End { get; set; }
        public List<DinnerMeal> DinnerMeals { get; set; }

        // used when grouping by MealsCount, to get group header value
        public int MealsCount => DinnerMeals.Count;
    }
}