using Microsoft.Extensions.Localization;
using Omu.AwesomeMvc;

namespace WebUI
{
    public class AwesomeConfig
    {
        public static IStringLocalizer<Mui> Localizer { get; private set; }

        public void Configure(IServiceProvider sprovider)
        {
            Localizer = sprovider.GetService<IStringLocalizer<Mui>>();         
            Settings.Lookup.HighlightChange = true;
            Settings.MultiLookup.HighlightChange = true;
        }
    }
}