/* eslint-disable */
var site = function ($) {
    var data = {};
    
    function documentReady() {
        // guide and stuff menu hover menu
        awem.hovMenu({
            hover: $('.mmenu'),
            open: function(o) {
                var prop = o.data('prop');
                var dm = awem.dropmenu({
                    dataFunc: function() {
                        if (prop === 'stuff') return data.stuff;
                        return data.menu;
                    },
                    minw: 200,
                    submenu: true, // tree data as submenu
                    clss: "amenu",
                    asmi: -1,
                    itemFunc: function(item) {
                        if (item.click) return '<a href="javascript:' + item.click + '">' + item.c + '</a>';
                        return item.k ?  '<a href="' + item.k + '">' + item.c + '</a>' : item.c;
                    }
                });

                dm.open({ opener: o });
                return dm;
            }
        });
        
        // change lang dropdown
        $('#culture').on('change', function() {
            $(this).closest('form').submit();
        });
        
        $('#chTheme').on('change', function() {
            var theme = $('#chTheme').val();
            $('#aweStyle').attr('href', site.root + '/css/themes/' + theme + '/AwesomeMvc.css?ver=' + document.version);
            $('body').attr('class', theme);
            if (['black-cab', 'bts', 'met', 'val', 'start', 'gtx'].indexOf(theme) > -1) {
                $('body').addClass('dark');
            }

            if (['black-cab', 'gtx'].indexOf(theme) > -1) {
                $('body').addClass('vdark');
            }

            awe.ajx({
                url: site.root + '/Home/ChangeTheme',
                data: { theme: theme }
            });
        });

        // popup animation (used only by about popup)
        $(document).on('aweopen', '.awe-popup', function () {
            var popup = $(this);
            var o = popup.data('o');
            
            var prms = o.params;

            if (prms && prms.anim) {
                slide(popup, prms.anim);    
            }
        });

        // transform server validation message html
        //$(document).ajaxComplete(parseValidMsg);

        //parseValidMsg();


        awem.hovPopup({
            hover: $(document),
            hsel: '.efield .field-validation-error',
            tclose: 50, // time to close, default 300
            topen: 50, 
            name: 'vldHintPopup',
            getCont: function (opener) { return opener.find('span').html(); }
        });
    }

    //function parseValidMsg() {
    //    $('.field-validation-error').each(function () {
    //        var $this = $(this);
    //        if (!$this.children().first().is('span')) {
    //            var $msg = $('<span/>').html($this.html());
    //            $(this).html($msg);
    //        }
    //    });
    //}

    function slide(popup, anim) {
        var top = anim.indexOf('top') >= 0;
        var fade = anim.indexOf('fade') >= 0;
        var o = popup.data('o');
        var max = top ? -$(window).height()/3 : $(window).width();
        var transl = 'translate' + (top ? 'Y' : 'X');

        var div = popup.closest('.o-pmc');
        o.nolay = 1;
        div.css('transform', transl + '(' + max + 'px)');
        fade && div.css('opacity', 0);

        setTimeout(function () {
            div.css('transition', '.5s');
            div.css('transform', transl + '(0)');
            fade && div.css('opacity', 1);

            setTimeout(function () {
                o.nolay = 0;
                div.css('transition', '');
                div.css('transform', '');
                o.cx.api.lay();
            }, 500);
        }, 30);
    }

    return {
        documentReady: documentReady,
        slide: slide,
        imgItem: function (itm) {
            return '<div class="o-igit">' +
                (itm.url ? '<img width="45" height="33" alt="item" src="' + itm.url + '"/>' : '')
                + awef.encode(itm.c) + '</div>';
        },
        cdict: {},
        openAbout: function(e) {
            e && e.preventDefault();
            awe.open('about', {
                id: 'about',
                url: site.root + '/Home/About',
                modal: true,
                loadOnce: true,
                title: 'ProDinner, where pros eat',
                outClickClose: true,
                width: 700,
                height: 460,
                params: { anim: 'top fade' }
            });
        },
        setMenu: function (rs) {            
            data.stuff = rs.stuff;
            var menu = rs.menu;
            data.menu = menu;

            menu.push({
                c: site.cdict.Stuff,
                nv: 1,
                it: data.stuff
            });

            menu.push({ c: site.cdict.About, click: 'site.openAbout()'});
        },
        dict: function(str) {
            var res = site.cdict[str];
            return res || awe.clientDict[str] || str;
        },
        getThemes: function () {
            return $.map(["mat", "wui", "mui", "bts", "met", "val", "zen", "gtx", "gui", "gui3", "start", "black-cab"], function (v) { return { k: v, c: v } });
        }
    };
}(jQuery);