using NUnit.Framework;
using Omu.StoreAwesome.WebUI.Utils.Attributes;

namespace Omu.StoreAwesome.Tests
{
    [TestFixture]
    public class HasherTests
    {
        [Test]
        public void Start()
        {
            var hasher = new Hasher();
            var res = hasher.Encrypt("admin");

            Console.WriteLine(res);
        }

        [Test]
        public void Encode()
        {
            var str = "123123123123123123123123";

            var res = Base64Encode(str);

            Console.WriteLine(res);
        }

        public static string Base64Encode(string plainText)
        {
            var plainTextBytes = System.Text.Encoding.UTF8.GetBytes(plainText);
            return System.Convert.ToBase64String(plainTextBytes);
        }
    }
}