using Microsoft.AspNetCore.Html;
using Microsoft.AspNetCore.Mvc.Rendering;

namespace Omu.StoreAwesome.WebUI.Utils.Helpers
{
    public static class RecaptchaHelpers
    {
        public static IHtmlContent Recaptcha(this IHtmlHelper html, string id = null)
        {
            id = id != null ? "id=\"" + id + '"' : "";
            var sitekey = Globals.Config.CaptchaSiteKey;

            var res = $"<div {id} class=\"g-recaptcha\" data-sitekey=\"{sitekey}\"></div>";
            return new HtmlString(res);
        }
    }
}