namespace Omu.StoreAwesome.WebUI.Utils
{
    public static class RegexRules
    {
        public const string PhoneNumber = @"^[0-9\-\+/\\\s\(\)x]{5,30}$";

        public const string LettersAndNumbers = @"\A[a-zA-Z\d ]+\z";

        public const string Email = @"\A[A-Za-z0-9._%+-]+@(?:[A-Za-z0-9-]+\.)+[A-Za-z]{2,6}\z";

        public const string Email2 = "^[a-z0-9_\\+-]+(\\.[a-z0-9_\\+-]+)*@[a-z0-9]+(\\.[a-z0-9]+)*\\.([a-z]{2,4})$";

        public const string PwdRule = @"\A[a-zA-Z\+=\?_\-,\.:;!@#$%^&*()/\[\]{}\d]+\z";
    }
}