﻿using System;
using System.Web;
using System.Web.Mvc;
using System.Web.Routing;
using Omu.AwemWebForms.Helpers;
using Omu.AwesomeWebForms;
using WebFormsMinSetupDemo.Utils;

namespace WebFormsMinSetupDemo
{
    public class Global : HttpApplication
    {
        public static void RegisterRoutes(RouteCollection routes)
        {
            routes.IgnoreRoute("{resource}.axd/{*pathInfo}");

            // keep default.aspx for empty url
            routes.IgnoreRoute("");

            routes.MapRoute(
                "Default", // Route name
                "{controller}/{action}/{id}", // URL with parameters
                new { controller = "Home", action = "Index", id = UrlParameter.Optional } // Parameter defaults
            );
        }

        protected void Application_Start(object sender, EventArgs e)
        {
            AreaRegistration.RegisterAllAreas();

            RegisterRoutes(RouteTable.Routes);            

            Settings.CheckboxModFunc = box => box.Ochk();
        }
    }
}