﻿using System.Web.Mvc;
using System.Web.Script.Serialization;

namespace WebFormsMinSetupDemo.Utils
{
    public static class AUtil
    {
        public static string ServerMapPath(this HtmlHelper html)
        {
            return html.ViewContext.HttpContext.Server.MapPath(@"~\");
        }

        public static string CssDir()
        {
            return "~/Content/";
        }

        public static string JsDir()
        {
            return "~/Scripts/";
        }

        public static string JsonEncode(object o)
        {
            return new JavaScriptSerializer().Serialize(o);
        }
    }
}