import React from 'react';
import { aweui } from '../aweui/aweui.js';
import Aweinp from '../awecomp/Aweinp.js';
import { dataCon } from '../cons/dataCon.js';

export default class Header extends React.Component {
    componentDidMount() {
    }

    render() {
        const chThemeOpt = {
            func: aweui.dropdownList,
            id: 'chTheme',
            dataFunc: dataCon.getThemes,            
            inLabel: 'theme: ',
            autoSelectFirst: true,
            openOnHover: true            
        };

        return (
            <div id="header" className="react">
                <nav role="navigation">
                    <ul className="menu">
                        <li className="marginz">
                            <a id="btnLogo" href="/">
                                <i className="logo"></i>
                            </a>
                        </li>
                        <li>
                            <button type="button" id="btnMenuToggle">
                                <i className="iconGuide"></i>
                                <i className="guideCaret"></i>
                            </button>
                        </li>
                    </ul>
                    <div className="stgpnl">
                    <div className="setting fmMenu"><input id="ddlFmw" type="hidden" value="https://aweui.aspnetawesome.com" /></div>
                        <div className="setting">
                            <Aweinp opt={chThemeOpt} />
                        </div>
                        <div className="clearb"></div>
                    </div>
                </nav>
            </div>
        );
    }
}