import React from 'react';
import * as $ from 'jquery';
import { awe } from '../aweui/all.js';

export default class GridPopupCrud extends React.Component {
    constructor(props) {
        super(props);

        this.openCont1 = this.openCont1.bind(this);

        this.state = { text1: 'Hello World' };
    }

    handleChange = (e) => {
        this.setState({ text1: e.target.value });
    };

    componentDidMount() {
    }

    openCont1() {
        var self = this;
        self.showCont1 = true;

        var cont = $('.cont1');

        awe.open('popCont1', {
            width: 500,
            height: 300,
            setCont: function (sp, o) {
                o.scon.append(cont);
            },
            close: function () {
                $('#holder').append(cont);
                //self.showCont1 = false;
            },
        });
    }

    render() {
        return (            
            <div>
                <button type="button" className="awe-btn" onClick={this.openCont1}>open existing content in popup</button>
                <br />
                <br />
                <div id="holder">
                    <div className="cont1">
                        <input value={this.state.text1}
                            onChange={this.handleChange}></input>
                        {this.state.text1}                
                    </div>
                </div>
            </div>
        );
    }
}