using AweCoreDemo.Data;
using Microsoft.AspNetCore.Mvc;

namespace AweCoreDemo.Controllers.Demos.Grid
{
    public class GridCrudDemoController : Controller
    {
        public IActionResult Index()
        {
            return View();
        }

        public IActionResult ClientData()
        {
            ViewData["dinners"] = (Db.Dinners.ToArray())
                .Select(o => new
                {
                    o.Id,
                    o.Name,
                    o.Date,
                    o.Chef,
                    DateStr = o.Date.ToShortDateString(),
                    ChefName = o.Chef.FullName,
                    Meals = string.Join(", ", o.Meals.Select(m => m.Name))
                });

            return View();
        }
    }
}