using AweCoreDemo.Data;
using Microsoft.AspNetCore.Mvc;


namespace AweCoreDemo.Controllers.Demos.Grid
{
    public class GridNestingDemoController : Controller
    {
        public IActionResult Index()
        {
            return View();
        }

        /*begin1*/
        public IActionResult LunchDetail(int key)
        {
            var lunch = Db.Lunches.Where(o => o.Id == key).First();

            return PartialView(lunch);
        }
        /*end1*/

        /*begin*/
        public IActionResult MealGrid(int key)
        {
            ViewData["Id"] = key;
            return PartialView();
        }
        /*end*/
    }
}