using AweCoreDemo.Data;
using Microsoft.AspNetCore.Mvc;

namespace AweCoreDemo.Controllers.Demos.Helpers
{
    public class ActivePanelController : Controller
    {
        public IActionResult Index()
        {
            return View();
        }

        public IActionResult Content1()
        {
            return PartialView();
        }

        public IActionResult CategoryContent(int[] category, string param1)
        {
            category = category ?? new int[] { };
            var meals = Db.Meals.Where(o => category.Contains(o.Category.Id)).ToList();

            ViewData["param1"] = param1;

            return PartialView(meals);
        }
    }
}