drop database if exists awedemo;
create database awedemo;
use awedemo;

create table countries(
id int AUTO_INCREMENT primary key,
name varchar(20) not null,
isdeleted bool default(0) not null
);

create table meals(
id int AUTO_INCREMENT primary key,
name varchar(50) not null,
comments varchar(200),
picture varchar(40),
isdeleted bool default(0) not null
);

create table chefs(
id int AUTO_INCREMENT primary key,
firstname varchar(15) not null,
lastname varchar(15) not null,
countryid int not null,
isdeleted bool default(0) not null,
foreign key (countryid) references countries(id)
);

insert countries(name) values('Rohan');
insert countries(name) values('Mordor');
insert countries(name) values('Gondor');
insert countries(name) values('Isengard');
insert countries(name) values('Stormwind');
insert countries(name) values('Redridge');
insert countries(name) values('Goldshire');
insert countries(name) values('Northshire');
insert countries(name) values('Duskwood');
insert countries(name) values('Elwynn Forest');
insert countries(name) values('Westfall');
insert countries(name) values('Northrend');
insert countries(name) values('Kalimdor');
insert countries(name) values('Eastern Kingdoms');
insert countries(name) values('Azeroth');
insert countries(name) values('Outland');
insert countries(name) values('Loch Modan');
insert countries(name) values('Teldrassil');
insert countries(name) values('Felwood');
insert countries(name) values('Durotar');
insert countries(name) values('Feralas');
insert countries(name) values('Tanaris');
insert countries(name) values('Moonglade');

insert chefs(firstname,lastname,countryid) values('Fromage', 'Sandwich', 7);
insert chefs(firstname,lastname,countryid) values('Pepper', 'Tomato', 7);
insert chefs(firstname,lastname,countryid) values('Casse', 'Croute', 7);
insert chefs(firstname,lastname,countryid) values('Charles', 'Duchemin', 7);
insert chefs(firstname,lastname,countryid) values('Tom', 'Smykowski', 5);
insert chefs(firstname,lastname,countryid) values('Joanna', 'Stan', 5);
insert chefs(firstname,lastname,countryid) values('Peter', 'Gibbons', 5);
insert chefs(firstname,lastname,countryid) values('Athene', 'Wins', 3);
insert chefs(firstname,lastname,countryid) values('Naked', 'Chef', 3);
insert chefs(firstname,lastname,countryid) values('Chef', 'chef', 2);

select * from chefs