using System;
using System.Linq;
using AwesomeMvcDemo.Data;
using System.Web.Mvc;


namespace AwesomeMvcDemo.Controllers.Demos.Grid
{
    public class GridCrudDemoController : Controller
    {
        public ActionResult Index()
        {
            return View();
        }

        public ActionResult ClientData()
        {
            ViewData["dinners"] = (Db.Dinners.ToArray())
                .Select(o => new
                {
                    o.Id,
                    o.Name,
                    o.Date,
                    o.Chef,
                    DateStr = o.Date.ToShortDateString(),
                    ChefName = o.Chef.FullName,
                    Meals = string.Join(", ", o.Meals.Select(m => m.Name))
                });

            return View();
        }
    }
}