using System;
using System.Collections.Generic;
using AwesomeMvcDemo.Data;
using AwesomeMvcDemo.Models;
using System.Web.Mvc;


namespace AwesomeMvcDemo.Controllers.Demos.Grid
{
    public class MailboxDemoController : Controller
    {
        public ActionResult Index()
        {
            return View();
        }

        [HttpPost]
        public ActionResult Delete(IEnumerable<int> ids)
        {
            foreach (var id in ids)
            {
                var message = Db.Find<Message>(id);
                Db.Remove(message);
            }


            return Json(new { });
        }

        public ActionResult ReadMessage(int id)
        {
            var msg = Db.Find<Message>(id);
            msg.IsRead = true;



            return PartialView(msg);
        }

        [HttpPost]
        public ActionResult MarkRead(int[] ids)
        {
            foreach (var id in ids)
            {
                var msg = Db.Find<Message>(id);
                msg.IsRead = true;
            }



            return Json(new { });
        }

        [HttpPost]
        public ActionResult MarkUnread(int[] ids)
        {
            foreach (var id in ids)
            {
                var msg = Db.Find<Message>(id);
                msg.IsRead = false;
            }



            return Json(new { });
        }
    }
}