using System;
using System.Linq;
using AwesomeMvcDemo.Data;
using System.Web.Mvc;


namespace AwesomeMvcDemo.Controllers.Demos.Helpers
{
    public class ActivePanelController : Controller
    {
        public ActionResult Index()
        {
            return View();
        }

        public ActionResult Content1()
        {
            return PartialView();
        }

        public ActionResult CategoryContent(int[] category, string param1)
        {
            category = category ?? new int[] { };
            var meals = Db.Meals.Where(o => category.Contains(o.Category.Id)).ToList();

            ViewData["param1"] = param1;

            return PartialView(meals);
        }
    }
}