using System;
using System.Linq;
using AwesomeMvcDemo.Data;
using System.Web.Mvc;


namespace AwesomeMvcDemo.Controllers.Demos.Helpers
{
    public class PagerDemoController : Controller
    {
        public ActionResult Index(int page = 1)
        {
            const int PageSize = 1;
            var pageCount = (Db.Meals.Count() + PageSize - 1) / PageSize;

            ViewData["page"] = page;
            ViewData["count"] = pageCount;

            return View(Db.Meals.Skip((page - 1) * PageSize).Take(PageSize));
        }
    }
}