<%@ Page Title="Home" MasterPageFile="~/Site.Master" Language="C#" AutoEventWireup="true" CodeBehind="AjaxListCustomItemTemplate.aspx.cs" Inherits="AwesomeWebFormsDemo.AjaxListCustomItemTemplate" %>
<asp:Content ID="Content1" ContentPlaceHolderID="ContentPlaceHolder1" runat="server">  
    <h3>Custom Item Template</h3>
<%--begin--%>
<% MealsCustomItem.AjaxList()
        .Url(Page.Url().Action("Search","MealsCustomItemAjaxList")); %>
<awe:Ocon runat="server" ID="MealsCustomItem" />
<%--end--%>
<br />
<div class="tabs" style="min-height: 370px;">
    <div data-caption="description" class="expl">
        To use custom item template in the controller instead of setting the Items property you have to set the Content property with the prerendered html content.
    <br />
        <code>RenderView</code> is a controller extension from Omu.AwesomeMvc that renders a view and returns the result as a string.<br />
        The view that gets rendered must consist from 'li' tags (or 'tr' if using TableLayout) with class="awe-li" and data-val=key attributes
            
    </div>
    <div data-caption="page"><%=Page.Source("AjaxListCustomItemTemplate.aspx") %></div>
    <div data-caption="controller"><%=Page.Csource("Awesome/AjaxList/MealsCustomItemAjaxListController.cs") %></div>
    <div data-caption="custom item view"><%=Page.Source("MealsCustomItemAjaxList/CustomItem.cshtml") %></div>
</div>
</asp:Content>