using System.Linq;
using System.Web.Mvc;
using AwesomeWebFormsDemo.Data;
using AwesomeWebFormsDemo.Models;

using Omu.AwesomeWebForms;

namespace AwesomeWebFormsDemo.Controllers.Awesome.Autocomplete
{
    public class CategoryAutocompleteController : Controller
    {
        public ActionResult GetItems(string v)
        {
            v = (v ?? "").ToLower().Trim();
            return Json(Db.Categories.Where(o => o.Name.ToLower().Contains(v))
                          .Select(o => new KeyContent(o.Id, o.Name)));
        }
    }
}