using AwesomeWebFormsDemo.Data;
using AwesomeWebFormsDemo.Models;
using System.Linq;
using System.Web.Mvc;

namespace AwesomeWebFormsDemo.Controllers.Demos.Helpers
{
    public class ActivePanelController : Controller
    {
        public ActionResult CategoryContent(int[] category, string param1)
        {
            category = category ?? new int[] { };
            var meals = Db.Meals.Where(o => category.Contains(o.Category.Id)).ToList();

            ViewData["param1"] = param1;

            return PartialView(meals);
        }
    }
}