﻿<%@ Page Title="Home" MasterPageFile="~/Site.Master" Language="C#" AutoEventWireup="true" CodeBehind="CrudInLookup.aspx.cs" Inherits="AwesomeWebFormsDemo.CrudInLookup" %>
<asp:Content ID="Content1" ContentPlaceHolderID="ContentPlaceHolder1" runat="server">
    <div class="example">
        <h3>Lookup with CRUD in Popup</h3>
        <div class="expl">using a grid with CRUD functionality in the lookup popup</div>
        <div class="efield">
            <div class="elabel">
                Lookup:
            </div>
            <div class="einput">
                <%--beginlkp--%>
                <% DinnerCrudLookup.Lookup()
                .Mod(o => o.ShowHeader())
                .LookupGrid(Page.Url().Action("DinnerLookup", "CrudInLookup"))
                .GetItemUrl(Page.Url().Action("GetDinnerItem", "Data"))
                .Fullscreen(); %>
                <awe:Ocon runat="server" ID="DinnerCrudLookup" />
                <%--endlkp--%>
            </div>
        </div>
        <div class="tabs code">
            <div data-caption="page"><%=Page.Source("CrudInLookup.aspx", "lkp") %></div>
            <div data-caption="dinner lookup view"><%=Page.Source("CrudInLookup/DinnerLookup.cshtml") %></div>
        </div>
    </div>
    <div class="example">
    <div class="efield">
        <div class="elabel">
            MultiLookup:
        </div>
        <div class="einput">
            <%--beginmlkp--%>
        <% Dinner3.MultiLookup()
              .MultiLookupGrid(Page.Url().Action("DinnerMultiLookup", "CrudInLookup"))
              .Mod(o => o.ShowHeader())
              .GetItemsUrl(Page.Url().Action("GetDinnerItems", "Data"))
              .Fullscreen(); %>
        <awe:Ocon runat="server" ID="Dinner3" /><%--endmlkp--%>
        </div>

    </div>
    <div class="tabs code">
        <div data-caption="page"><%=Page.Source("CrudInLookup.aspx", "mlkp") %></div>
        <div data-caption="dinner multilookup view"><%=Page.Source("CrudInLookup/DinnerMultiLookup.cshtml") %></div>
    </div>
</div>
</asp:Content>