﻿<%@ Page Title="Home" MasterPageFile="~/Site.Master" Language="C#" AutoEventWireup="true" CodeBehind="GridCrudDemo.aspx.cs" Inherits="AwesomeWebFormsDemo.GridCrudDemo" %>
<asp:Content ID="Content1" ContentPlaceHolderID="ContentPlaceHolder1" runat="server">
    <h1>Grid Crud Demo</h1>
    <%=Page.InitCrudPopupsForGrid(DinnersGrid.ClientID, "DinnersGridCrud") %>

    <div class="bar">
        <div style="float: right;">
            <% TxtSearch.TextBox().Placeholder("search...").CssClass("searchtxt"); %>
            <awe:Ocon runat="server" ID="TxtSearch" />
        </div>
        <% BtnCreate.Button().Text("Create").OnClick(Page.Awe().OpenPopup("create" + DinnersGrid.ClientID)); %>
        <awe:Ocon runat="server" ID="BtnCreate" />
    </div>
    <%  DinnersGrid.Grid()
            .Mod(o => o.Main())
            .Url(Page.Url().Action("GridGetItems", "DinnersGridCrud"))
            .Parent(TxtSearch.ClientID, "search")
            .Height(350)
            .Columns(
                new Column { Bind = "Id", Width = 55 },
                new Column { Bind = "Name" },
                new Column { Bind = "Date" },
                new Column { Bind = "Chef.FirstName,Chef.LastName", Prop = "ChefName", Header = "Chef" },
                new Column { Prop = "Meals", Header = "Meals" },
                Page.EditColumnForGrid(DinnersGrid.ClientID),
                Page.DeleteColumnForGrid(DinnersGrid.ClientID));
    %>
    <awe:Ocon runat="server" ID="DinnersGrid" />
</asp:Content>