﻿<%@ Page Title="Home" MasterPageFile="~/Site.Master" Language="C#" AutoEventWireup="true" CodeBehind="GridRtlSupport.aspx.cs" Inherits="AwesomeWebFormsDemo.GridRtlSupport" %>
<asp:Content ID="Content1" ContentPlaceHolderID="ContentPlaceHolder1" runat="server">
    <h2>Grid RTL Support</h2>

    <p>The grid will detect if the html direction is rtl and construct itself accordingly</p>
    <%--begin--%>
    <div style="direction: rtl;">

        <% RtlGrid.Grid()
               .Url(Page.Url().Action("GetItems", "LunchGrid"))
               .Height(300)
               .Mod(o => o.ColumnsSelector().PageSize().PageInfo().Loading().AutoMiniPager())
               .Persistence(Persistence.View)
               .Resizable()
               .Reorderable()
               .Columns(
                   new Column { Bind = "Id", Width = 100 },
                   new Column { Bind = "Person" },
                   new Column { Bind = "Food.Name" },
                   new Column { Bind = "Price", Width = 100 },
                   new Column { Bind = "Location" }); %>
        <awe:Ocon runat="server" ID="RtlGrid" />

        <br />
        <br />
        <% RtlTreeGrid.Grid()
               .Url(Page.Url().Action("SimpleTree", "TreeGrid"))
               .Columns(
                   new Column { Bind = "Name" },
                   new Column { Bind = "Id", Width = 100 })
               .Persistence(Persistence.View)
               .Groupable(false)
               .PageSize(3)
               .Height(300); %>
        <awe:Ocon runat="server" ID="RtlTreeGrid" />
    </div>
    <%--end--%>
    <br />
    <%=Page.Source("GridRtlSupport.aspx") %>
</asp:Content>