﻿<%@ Page Title="Home" MasterPageFile="~/Site.Master" Language="C#" AutoEventWireup="true" CodeBehind="LunchDetails.aspx.cs" Inherits="AwesomeWebFormsDemo.LunchDetails" %>
<asp:Content ID="Content1" ContentPlaceHolderID="ContentPlaceHolder1" runat="server">
    <h2> Lunch Details</h2>
    
    <%
        var strid = Request.QueryString["id"];
        int id;
        if (!int.TryParse(strid, out id))
        {
            throw new HttpException(404, "Not found");
        }

        //var id = Convert.ToInt32(strid);
        var lunch = Db.Get<Lunch>(id);
    %>

    Person: <%=lunch.Person %> <br />
    Food: <%=lunch.Food %> <br/>
    Date: <%=lunch.Date.ToShortDateString() %> <br />
    Price: <%=lunch.Price %> <br />
    Country: <%=lunch.Country.Name %> <br />
    Chef: <%=lunch.Chef.FirstName + " " +lunch.Chef.LastName %> <br/>

    <p>
        <a href="<%=ResolveUrl("~/GridCustomFormat.aspx") %>">Go back to Grid Custom Format Demo</a>
    </p>  
</asp:Content>