﻿<%@ Page Title="Home" MasterPageFile="~/Site.Master" Language="C#" AutoEventWireup="true" CodeBehind="Validation.aspx.cs" Inherits="AwesomeWebFormsDemo.Validation" %>
<%@ Import Namespace="AwesomeWebFormsDemo.Controllers.Awesome.Lookup" %>
<asp:Content ID="Content1" ContentPlaceHolderID="ContentPlaceHolder1" runat="server">
    <h1>Validation</h1>
    <% var name = Name.TextBox(); %>
    <div class="efield">
        <%=name.Label() %>
        <div class="einput">
            <awe:Ocon runat="server" ID="Name" />
        </div>
        <div class="evld">
            <asp:RequiredFieldValidator runat="server" ControlToValidate="Name" ErrorMessage="Required Field" />
        </div>
    </div>

    <% var number = Number.TextBox().Numeric(); %>
    <div class="efield">
        <%=number.Label() %>
        <div class="einput">
            <awe:Ocon runat="server" ID="Number" />
        </div>
        <div class="evld">
            <asp:RequiredFieldValidator runat="server" ControlToValidate="Number" ErrorMessage="Required Field" />
        </div>
    </div>

    <% var mealAuto = MealAuto.Autocomplete().Url(Page.Url().Action("GetItems", "MealAutocomplete")); %>
    <div class="efield">
        <%=mealAuto.Label() %>
        <div class="einput">
            <awe:Ocon runat="server" ID="MealAuto" />
        </div>
        <div class="evld">
            <asp:RequiredFieldValidator runat="server" ControlToValidate="MealAuto" ErrorMessage="Required Field" />
        </div>
    </div>
    
    <% var date = Date.DatePicker().ChangeMonth().ChangeYear(); %>
    <div class="efield">
        <%=date.Label() %>
        <div class="einput">
            <awe:Ocon runat="server" ID="Date" />
        </div>
        <div class="evld">
            <asp:RequiredFieldValidator runat="server" ControlToValidate="Date" ErrorMessage="Required Field" />
        </div>
    </div>
    
    <% var categories = Categories.AjaxCheckboxList().Url(Page.Url().Action("GetCategories", "Data")); %>
    <div class="efield">
        <%=categories.Label() %>
        <div class="einput">
            <awe:Ocon runat="server" ID="Categories" />
        </div>
        <div class="evld">
            <asp:RequiredFieldValidator runat="server" ControlToValidate="Categories" ErrorMessage="Required Field" />
        </div>
    </div>
    
    <% var cateogry2 = Category2.AjaxRadioList().Url(Page.Url().Action("GetCategories", "Data")); %>
    <div class="efield">
        <%=cateogry2.Label() %>
        <div class="einput">
            <awe:Ocon runat="server" ID="Category2" />
        </div>
        <div class="evld">
            <asp:RequiredFieldValidator runat="server" ControlToValidate="Category2" ErrorMessage="Required Field" />
        </div>
    </div>
    
    <% var meal = Meal.Lookup().Controller<MealLookupController>(); %>
    <div class="efield">
        <%=meal.Label() %>
        <div class="einput">
            <awe:Ocon runat="server" ID="Meal" />
        </div>
        <div class="evld">
            <asp:RequiredFieldValidator runat="server" ControlToValidate="Meal" ErrorMessage="Required Field" />
        </div>
    </div>
    
    <% var meals = Meals.MultiLookup().Controller<MealsMultiLookupController>(); %>
    <div class="efield">
        <%=meals.Label() %>
        <div class="einput">
            <awe:Ocon runat="server" ID="Meals" />
        </div>
        <div class="evld">
            <asp:RequiredFieldValidator runat="server" ControlToValidate="Meals" ErrorMessage="Required Field" />
        </div>
    </div>
    
    <% var odropdown = Odropdown.AjaxRadioList().Url(Page.Url().Action("GetAllMeals", "Data")).Odropdown(); %>
    <div class="efield">
        <%=odropdown.Label() %>
        <div class="einput">
            <awe:Ocon runat="server" ID="Odropdown" />
        </div>
        <div class="evld">
            <asp:RequiredFieldValidator runat="server" ControlToValidate="Odropdown" ErrorMessage="Required Field" />
        </div>
    </div>
    
    <% var buttonGroup = ButtonGroup.AjaxRadioList().Url(Page.Url().Action("GetCategories", "Data")).ButtonGroup(); %>
    <div class="efield">
        <%=buttonGroup.Label() %>
        <div class="einput">
            <awe:Ocon runat="server" ID="ButtonGroup" />
        </div>
        <div class="evld">
            <asp:RequiredFieldValidator runat="server" ControlToValidate="ButtonGroup" ErrorMessage="Required Field" />
        </div>
    </div>
    
    <% var buttonGroupMulti = ButtonGroupMulti.AjaxCheckboxList().Url(Page.Url().Action("GetCategories", "Data")).ButtonGroup(); %>
    <div class="efield">
        <%=buttonGroupMulti.Label() %>
        <div class="einput">
            <awe:Ocon runat="server" ID="ButtonGroupMulti" />
        </div>
        <div class="evld">
            <asp:RequiredFieldValidator runat="server" ControlToValidate="ButtonGroupMulti" ErrorMessage="Required Field" />
        </div>
    </div>
    
    <% var categoriesMulti = CategoriesMulti.AjaxCheckboxList().Url(Page.Url().Action("GetCategories", "Data")).Multiselect(); %>
    <div class="efield">
        <%=categoriesMulti.Label() %>
        <div class="einput">
            <awe:Ocon runat="server" ID="CategoriesMulti" />
        </div>
        <div class="evld">
            <asp:RequiredFieldValidator runat="server" ControlToValidate="CategoriesMulti" ErrorMessage="Required Field" />
        </div>
    </div>
    
    <% var color = Color.AjaxRadioList().ColorDropdown(); %>
    <div class="efield">
        <%=color.Label() %>
        <div class="einput">
            <awe:Ocon runat="server" ID="Color" />
        </div>
        <div class="evld">
            <asp:RequiredFieldValidator runat="server" ControlToValidate="Color" ErrorMessage="Required Field" />
        </div>
    </div>
    
    <% var mealCombo = MealCombo.AjaxRadioList().Url(Page.Url().Action("GetAllMeals", "Data")).Combobox(); %>
    <div class="efield">
        <%=mealCombo.Label() %>
        <div class="einput">
            <awe:Ocon runat="server" ID="MealCombo" />
        </div>
        <div class="evld">
            <asp:RequiredFieldValidator runat="server" ControlToValidate="MealCombo" ErrorMessage="Required Field" />
        </div>
    </div>
    
    <% var organic = Organic.CheckBox().Ochk(); %>
    <div class="efield">
        <%=organic.Label() %>
        <div class="einput">
            <awe:Ocon runat="server" ID="Organic" />
        </div>
        <div class="evld">
            <asp:RequiredFieldValidator runat="server" ControlToValidate="Organic" ErrorMessage="Required Field" />
        </div>
    </div>
    
    <% var organic3 = Organic3.CheckBox().Otoggl(); %>
    <div class="efield">
        <%=organic3.Label() %>
        <div class="einput">
            <awe:Ocon runat="server" ID="Organic3" />
        </div>
        <div class="evld">
            <asp:RequiredFieldValidator runat="server" ControlToValidate="Organic3" ErrorMessage="Required Field" />
        </div>
    </div>
    
    <% var organicSim = OrganicSim.CheckBox(); %>
    <div class="efield">
        <%=organicSim.Label() %>
        <div class="einput">
            <awe:Ocon runat="server" ID="OrganicSim" />
        </div>
        <div class="evld">
            <asp:RequiredFieldValidator runat="server" ControlToValidate="OrganicSim" ErrorMessage="Required Field" />
        </div>
    </div>

    <asp:Button ID="SubmitBtn" runat="server" Text="Submit" CssClass="awe-btn" />
</asp:Content>