using Omu.Awem.Helpers;
using Omu.AwesomeMvc;

namespace WebUI.Helpers.Awesome
{
    public static class AweGridExtensions
    {
        /// <summary>
        /// Requires InlVldSummary.js and css from site.css (.o-inlvldsum)
        /// </summary>
        public static Column InlVldSummary(this Column column)
        {
            var evalCol = column.Tag as ColumnModCfg;
            if (evalCol == null)
            {
                evalCol = new ColumnModCfg(column);
            }

            evalCol.AddGridFunc(cx =>
            {
                if (!cx.Mods.Contains("inlVldSummary"))
                {
                    cx.Mods.Add("inlVldSummary");
                }
            });

            return column.Inl("<div class='o-inlvldsum'></div>");
        }
    }
}