using System.ComponentModel.DataAnnotations;
using WebUI.Utils;
using WebUI.ViewModels.Attributes;

namespace WebUI.ViewModels.Input
{
    public class ChangePasswordInput : Input
    {
        [StrLen(20)]
        [Required(ErrorMessage = StrConst.FieldRequired)]
        [UIHint("Password")]
        public string Password { get; set; }
    }
}