using System.ComponentModel;
using System.ComponentModel.DataAnnotations;
using WebUI.Utils;
using WebUI.ViewModels.Attributes;

namespace WebUI.ViewModels.Input
{
    public class ChefInput : Input
    {
        [Required(ErrorMessage = StrConst.FieldRequired)]
        [StrLen(15)]
        [DisplayName("First Name")]
        public string FirstName { get; set; }

        [Required(ErrorMessage = StrConst.FieldRequired)]
        [StrLen(15)]
        [DisplayName("Last Name")]
        public string LastName { get; set; }

        [Required(ErrorMessage = StrConst.FieldRequired)]
        [DisplayName("Chef")]
        public int? CountryId { get; set; }
    }
}