using System.ComponentModel;
using System.ComponentModel.DataAnnotations;
using WebUI.Utils;
using WebUI.ViewModels.Attributes;

namespace WebUI.ViewModels.Input
{
    public class MealInput : Input
    {
        [Required(ErrorMessage = StrConst.FieldRequired)]
        [StrLen(50)]
        [DisplayName("Name")]
        public string Name { get; set; }

        [StrLen(150)]
        [DisplayName("Comments")]
        public string Comments { get; set; }

        public string Picture { get; set; }
    }
}