using System.ComponentModel.DataAnnotations;
using WebUI.Utils;

namespace WebUI.ViewModels.Input
{
    public class SignInInput
    {
        [Required(ErrorMessage = StrConst.FieldRequired)]
        public string Login { get; set; }

        [Required(ErrorMessage = StrConst.FieldRequired)]
        [UIHint("Password")]
        public string Password { get; set; }

        public bool Remember { get; set; }

        public string ReturnUrl { get; set; }
    }
}