using Microsoft.EntityFrameworkCore;
using Omu.StoreAwesome.WebUI.Core.Data;
using Omu.StoreAwesome.WebUI.Core.Model;

namespace Omu.StoreAwesome.WebUI.Core.Repo
{
    public class GenericSqlRepo<T> : GenericBaseRepo<T> where T : Entity
    {
        private SqlDbContext sqlDbCx;

        public GenericSqlRepo(SqlDbContext mcx)
        {
            sqlDbCx = mcx;
        }

        protected override DbContext DbCx { get => sqlDbCx; }
    }
}