namespace Omu.StoreAwesome.WebUI.Models
{
    public class SiteMapItem
    {
        private static int newId = 1;

        private string name;

        public SiteMapItem()
        {
            Id = newId;
            newId++;
        }

        public int Id { get; set; }

        public string Name { get { return name ?? Action; } set { name = value; } }

        public string Controller { get; set; }

        public string Action { get; set; }

        public SiteMapItem Parent { get; set; }
        
        public bool IsText { get; internal set; }

        /// <summary>
        /// Render in breadcrumb only when this node in a chain with other nodes
        /// </summary>
        public bool RenderOnlyWhenInChain { get; internal set; }
    }
}