using Omu.AwesomeMvc;
using System;
using Omu.StoreAwesome.WebUI.Core.Model;

namespace Omu.StoreAwesome.WebUI.Utils
{
    public static class UiExtensions
    {
        public static string UrlFriendlyName(this Product product)
        {
            if (product is null) return null;

            return UiUtils.UrlFriendly(product.Name);            
        }

        public static T CacheStorg<T>(this T opt, string cacheKey = null) where T : DropdownOpt
        {
            opt.DataFunc = $"cstorg.getf('{opt.Url}',,'{cacheKey}')";
            return opt;
        }
    }
}