import React from 'react';
import AweGrid from '../awecomp/AweGrid';
import * as $ from 'jquery';
import { site } from '../site';
import { sideMenu } from '../sidemenu';

export default class DemoMenu extends React.Component {
    componentDidMount() {
    }

    render() {
        var nodes = [];
        const menuOpt = {
          id: 'Menu',
          mod: { loading: false, customRender: sideMenu.menutree },
          dataFunc: function (gp) {    
            if (!nodes.length) {
              $('h2').each(function (i) {
                var o = $(this);
                nodes.push({ Id: i, Name: o.html(), ParentId: null, Url: '#' + site.getAnchorName(o) });
              });
            }
    
            return sideMenu.getMenuGridFunc(nodes, this)(gp);
          },
          parents: [{ id: 'msearch', name: 'search', load: false }],
          showGroupBar: false,
          showHeader: false,
          showFooter: false,
          height: 300,
          columnWidth: 100,
          columns: [{ id: 'col1' }]
        };

        return (
            <div id="demoMenu" className="scrlh">
                <input id="msearch" type="text" className="msearch awe-display awe-txt" placeholder="search..." />
                <AweGrid opt={menuOpt} />
            </div>
        );
    }
}