import { aweUtils } from './aweui/dist/all.js';
import awedb from './awedb.js';

export function getCategories() {
    return awedb.categories.map(o => ({ k: o.Id, c: o.Name }));
}

export function getAllMeals() {
    return awedb.meals.map(o => ({ k: o.Id, c: o.Name }));
}

export function getMealsByCateg(params) {
    var pobj = aweUtils.serializeObj(params);
    var result = [];
    console.log('category = ', pobj.category);

    awedb.meals.forEach(function (item) {
        if (item.Category.Id.toString() === pobj.category)
            result.push({ c: item.Name, k: item.Id });
    });

    return result;
}  